Get one Workspace by workspace type, name and tenant, all of them required.

GET /users/workspaces/{workspaceType}/{workspaceName}

Operation id: WorkspaceService_GetWorkspace

Description

Permission Level: Read

Tags: WorkspaceService

Parameters

Path parameters

NameTypeRequiredDescription
workspaceNamestringYesName of the workspace. Required: true
workspaceTypestringYesThe workspace type of the workspace. Required: true

Query parameters

NameTypeRequiredDescription
fieldMaskstringNoFieldMask to control what fields are to be returned, if empty assumes everything, Required: false Valid path names are names of each field in the WorkspaceResponse proto
includeUsersbooleanNoWhether to include list of users who belong to the workspace. Required : false
tenantIdstringNoTenant of the workspace. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
workspaceobjectNo
{
  "type": "object",
  "properties": {
    "workspace": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "parent": {
          "type": "string",
          "description": "Name of the parent of the workspace. Empty if root workspace."
        },
        "workspaceType": {
          "type": "string"
        },
        "tenantId": {
          "type": "string"
        },
        "ancestors": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "descendants": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "displayName": {
          "type": "string"
        },
        "attributes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "scope": {
                "type": "string"
              },
              "fieldName": {
                "type": "string"
              },
              "value": {
                "type": "string"
              },
              "domain": {
                "type": "string"
              }
            }
          }
        },
        "users": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "tenantId": {
                "type": "string",
                "description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
              },
              "userId": {
                "type": "string",
                "description": "The user ID. Required: true."
              },
              "firstName": {
                "type": "string",
                "description": "The first name. Required: false."
              },
              "lastName": {
                "type": "string",
                "description": "The last name. Required: false."
              }
            }
          }
        },
        "enabledScopes": {
          "type": "object"
        },
        "creationTime": {
          "type": "string",
          "format": "date-time"
        },
        "domain": {
          "type": "string"
        },
        "lastUpdated": {
          "type": "string",
          "format": "date-time"
        },
        "description": {
          "type": "string"
        },
        "expiration": {
          "type": "object"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}